ru.bitel.bgbilling.modules.phone.server.bean

## Class GateTypeManager

- java.lang.Object
- - ru.bitel.bgbilling.modules.phone.server.bean.GateTypeManager

-     public class GateTypeManager
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.sql.Connection` | `con`
    `protected int` | `mid`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GateTypeManager(java.sql.Connection con, int mid)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `delete(int id)`
    `java.lang.String` | `getTable()`
    `GateType` | `getTypeById(int id)`
    `java.util.List<GateType>` | `list()`
    `void` | `update(GateType type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mid

          protected int mid

    - #### con

          protected java.sql.Connection con

  - ### Constructor Detail

    - #### GateTypeManager

          public GateTypeManager(java.sql.Connection con,
                                 int mid)

  - ### Method Detail

    - #### list

          public java.util.List<GateType> list()
                                        throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### update

          public void update(GateType type)
                      throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getTypeById

          public GateType getTypeById(int id)
                               throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### delete

          public void delete(int id)
                      throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getTable

          public java.lang.String getTable()